> For the complete documentation index, see [llms.txt](https://docs.hatsprotocol.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hatsprotocol.xyz/for-developers/hats-account-sdk/1-of-n-hats-account/executing-from-an-instance.md).

# Executing From An Instance

Execute operations from a Hats Account instance. Only wearers of the instance's hat can call the following functions.

### <mark style="color:purple;">execute</mark>

Execute an operation.

```typescript
const executionResult = await hatsAccount1ofNClient.execute({
    account,
    instance,
    operation,
});
```

***Arguments***:

```typescript
{
    account: Account | Address;
    instance: Address;
    operation: Operation;
}
```

* `account` - Viem account (Address for JSON-RPC accounts or Account for other types).
* `instance` - The Hats Account instance.
* `operation` - An object of type [Operation](/for-developers/hats-account-sdk/1-of-n-hats-account/types.md#operation), which includes the operation's execution data.

***Response***:

```typescript
{
  status: "success" | "reverted";
  transactionHash: `0x${string}`;
}
```

An object of type [ExecutionResult](/for-developers/hats-account-sdk/1-of-n-hats-account/types.md#executionresult), includes:

* `status` - "success" if transaction was successful, "reverted" if transaction reverted.
* `transactionHash` - transaction's hash.

### <mark style="color:purple;">executeBatch</mark>

Execute a batch of operations.

```typescript
const executionResult = await hatsAccount1ofNClient.executeBatch({
    account,
    instance,
    operations,
});
```

***Arguments***:

```typescript
{
    account: Account | Address;
    instance: Address;
    operations: Operation[];
}
```

* `account` - Viem account (Address for JSON-RPC accounts or Account for other types).
* `instance` - The Hats Account instance.
* `operations` - An array of  [Operation](/for-developers/hats-account-sdk/1-of-n-hats-account/types.md#operation) objects, each includes an operation's execution data.

***Response***:

```typescript
{
  status: "success" | "reverted";
  transactionHash: `0x${string}`;
}
```

An object of type [ExecutionResult](/for-developers/hats-account-sdk/1-of-n-hats-account/types.md#executionresult), includes:

* `status` - "success" if transaction was successful, "reverted" if transaction reverted.
* `transactionHash` - transaction's hash.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hatsprotocol.xyz/for-developers/hats-account-sdk/1-of-n-hats-account/executing-from-an-instance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
